package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.PublicDownloadAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.parser.CommonFileParserInterface;
import com.ynet.life.file.parser.FileParserUtil;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.util.CellRangeAddress;

public class BranchTolDownloadAction extends PublicDownloadAction implements CommonFileParserInterface {

   public String execute(Context ctx) throws GENEException {
      ctx.terminate();
      List recordList = this.initFromContext(ctx, this.iCollName);
      String filePathName = (String)ctx.get(this.fileTypeField);
      filePathName = this.getFileName(filePathName);
      this.getLanguage(ctx);
      ArrayList titlesI18N = new ArrayList();
      this.writeToFile(titlesI18N, recordList, this.outputFields, this.outputFormats, filePathName, this.encoding);
      ctx.put("downloadFile", filePathName);
      return "0";
   }

   public void writeToFile(List workBook, List fileOut, List outputFields, List outputFormats, String filePathName, String sheet) throws TranFailException {
      HSSFWorkbook var23;
      HSSFSheet var26;
      HSSFRow row = (var26 = (var23 = new HSSFWorkbook()).createSheet()).createRow(0);
      HSSFCellStyle rowIndex;
      (rowIndex = var23.createCellStyle()).setAlignment((short)2);
      rowIndex.setVerticalAlignment((short)1);
      HSSFFont ex;
      (ex = var23.createFont()).setFontName("黑体");
      ex.setColor((short)8);
      ex.setFontHeight((short)250);
      row.createCell(0).setCellValue("序号");
      row.createCell(1).setCellValue("机构名称");
      row.createCell(2).setCellValue("总得分");
      HSSFCell var28;
      (var28 = row.createCell(3)).setCellValue("拓户增投");
      var28.setCellStyle(rowIndex);
      (var28 = row.createCell(7)).setCellValue("降低成本");
      var28.setCellStyle(rowIndex);
      (var28 = row.createCell(8)).setCellValue("产品创新");
      var28.setCellStyle(rowIndex);
      (var28 = row.createCell(11)).setCellValue("征信运用");
      var28.setCellStyle(rowIndex);
      (var28 = row.createCell(14)).setCellValue("服务质效");
      var28.setCellStyle(rowIndex);
      HSSFRow var29;
      (var29 = var26.createRow(1)).createCell(3).setCellValue("小微企业贷款投放量");
      var29.createCell(4).setCellValue("小微企业新增客户数");
      var29.createCell(5).setCellValue("平台投放小微企业贷款排名");
      var29.createCell(6).setCellValue("平台新增小微企业客户排名");
      var29.createCell(7).setCellValue("小微企业贷款平均利率");
      var29.createCell(8).setCellValue("小微企业产品投放量排名");
      var29.createCell(9).setCellValue("小微企业产品评价");
      var29.createCell(10).setCellValue("小微企业产品创新");
      var29.createCell(11).setCellValue("平台新增授权客户排名");
      var29.createCell(12).setCellValue("授信前客户信息查询率");
      var29.createCell(13).setCellValue("贷后管理客户信息查询率");
      var29.createCell(14).setCellValue("授信申请通过率");
      var29.createCell(15).setCellValue("受理审批放贷周期");
      var29.createCell(16).setCellValue("客户服务评价");
      var29.createCell(17).setCellValue("客户效率评价");
      var26.addMergedRegion(new CellRangeAddress(0, 1, 0, 0));
      var26.addMergedRegion(new CellRangeAddress(0, 1, 1, 1));
      var26.addMergedRegion(new CellRangeAddress(0, 1, 2, 2));
      var26.addMergedRegion(new CellRangeAddress(0, 0, 3, 6));
      var26.addMergedRegion(new CellRangeAddress(0, 0, 7, 7));
      var26.addMergedRegion(new CellRangeAddress(0, 0, 8, 10));
      var26.addMergedRegion(new CellRangeAddress(0, 0, 11, 13));
      var26.addMergedRegion(new CellRangeAddress(0, 0, 14, 17));
      int var27 = 2;
      Iterator var24 = fileOut.iterator();

      while(var24.hasNext()) {
         Map var30 = (Map)var24.next();
         row = var26.createRow(var27++);
         short cellIndex = 0;

         for(int ex1 = 0; ex1 < outputFields.size(); ++ex1) {
            Object fieldValue = var30.get(outputFields.get(ex1)) == null?"":var30.get(outputFields.get(ex1));
            String format = (String)outputFormats.get(ex1);
            String var31 = FileParserUtil.transformFormat(fieldValue.toString(), format);
            this.createCell(row, cellIndex++, var31);
         }
      }

      FileOutputStream var25 = null;
      boolean var18 = false;

      try {
         var18 = true;
         var25 = new FileOutputStream(filePathName);
         var23.write(var25);
         var18 = false;
      } catch (IOException var20) {
         Trace.logError("LifeFile", "文件写入失败", var20);
         throw new TranFailException("EBLN0000", "文件写入失败", var20);
      } finally {
         if(var18) {
            try {
               if(var25 != null) {
                  var25.close();
               }
            } catch (IOException var21) {
               Trace.logError("LifeFile", "I/O异常", var21);
               throw new TranFailException("EBLN0000", "I/O异常", var21);
            }

         }
      }

      try {
         var25.close();
      } catch (IOException var19) {
         Trace.logError("LifeFile", "I/O异常", var19);
         throw new TranFailException("EBLN0000", "I/O异常", var19);
      }
   }

   public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, boolean seqFlag) throws TranFailException {
   }

   public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, String expressionContent) throws TranFailException {
   }

   public void writeToFile(List oneTitles, List twoTitles, List recordList, List outputFields, List titleColWidthFormats, List leftRightColMergeFormats, List topBottomColMergeFormats, String filePathName, String encoding, String reportTitle, List leftRightColMergeNum) throws TranFailException {
   }

   private void createCell(HSSFRow row, short index, String content) {
      row.createCell(index).setCellValue(new HSSFRichTextString(content));
   }

   public static void main(String[] workBook) {
      HSSFCellStyle fileOut;
      HSSFWorkbook workBook1;
      (fileOut = (workBook1 = new HSSFWorkbook()).createCellStyle()).setAlignment((short)2);
      fileOut.setVerticalAlignment((short)1);
      HSSFFont sheet;
      (sheet = workBook1.createFont()).setFontName("黑体");
      sheet.setColor((short)8);
      sheet.setFontHeight((short)250);
      HSSFRow row;
      HSSFSheet sheet1;
      (row = (sheet1 = workBook1.createSheet()).createRow(0)).createCell(0).setCellValue("序号");
      row.createCell(1).setCellValue("机构名称");
      row.createCell(2).setCellValue("总得分");
      HSSFCell row1;
      (row1 = row.createCell(3)).setCellValue("拓户增投");
      row1.setCellStyle(fileOut);
      (row1 = row.createCell(7)).setCellValue("降低成本");
      row1.setCellStyle(fileOut);
      (row1 = row.createCell(8)).setCellValue("产品创新");
      row1.setCellStyle(fileOut);
      (row1 = row.createCell(11)).setCellValue("征信运用");
      row1.setCellStyle(fileOut);
      (row1 = row.createCell(14)).setCellValue("服务质效");
      row1.setCellStyle(fileOut);
      HSSFRow row11;
      (row11 = sheet1.createRow(1)).createCell(3).setCellValue("小微企业贷款投放量1");
      row11.createCell(4).setCellValue("小微企业新增客户数");
      row11.createCell(5).setCellValue("平台投放小微企业贷款排名");
      row11.createCell(6).setCellValue("平台新增小微企业客户排名");
      row11.createCell(7).setCellValue("小微企业贷款平均利率");
      row11.createCell(8).setCellValue("小微企业产品投放量排名");
      row11.createCell(9).setCellValue("小微企业产品评价");
      row11.createCell(10).setCellValue("小微企业产品创新");
      row11.createCell(11).setCellValue("平台新增授权客户排名");
      row11.createCell(12).setCellValue("授信前客户信息查询率");
      row11.createCell(13).setCellValue("贷后管理客户信息查询率");
      row11.createCell(14).setCellValue("授信申请通过率");
      row11.createCell(15).setCellValue("受理审批放款周期");
      row11.createCell(16).setCellValue("客户服务评价");
      row11.createCell(17).setCellValue("客户效率评价");
      sheet1.addMergedRegion(new CellRangeAddress(0, 1, 0, 0));
      sheet1.addMergedRegion(new CellRangeAddress(0, 1, 1, 1));
      sheet1.addMergedRegion(new CellRangeAddress(0, 1, 2, 2));
      sheet1.addMergedRegion(new CellRangeAddress(0, 0, 3, 6));
      sheet1.addMergedRegion(new CellRangeAddress(0, 0, 7, 7));
      sheet1.addMergedRegion(new CellRangeAddress(0, 0, 8, 10));
      sheet1.addMergedRegion(new CellRangeAddress(0, 0, 11, 13));
      sheet1.addMergedRegion(new CellRangeAddress(0, 0, 14, 17));
      FileOutputStream fileOut1 = null;
      boolean var10 = false;

      label79: {
         try {
            var10 = true;
            fileOut1 = new FileOutputStream("d://text.xls");
            workBook1.write(fileOut1);
            var10 = false;
            break label79;
         } catch (IOException var14) {
            var14.printStackTrace();
            var10 = false;
         } finally {
            if(var10) {
               try {
                  if(fileOut1 != null) {
                     fileOut1.close();
                  }
               } catch (IOException var11) {
                  var11.printStackTrace();
               }

            }
         }

         try {
            if(fileOut1 != null) {
               fileOut1.close();
               return;
            }

            return;
         } catch (IOException var12) {
            var12.printStackTrace();
            return;
         }
      }

      try {
         fileOut1.close();
      } catch (IOException var13) {
         var13.printStackTrace();
      }
   }
}
